Retrieve Safe migration status
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/safe/migration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/safe/migration \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/safe/migration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/safe/migration"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/safe/migration")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/safe/migration")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"migrationId": "safe-replacement-2026-06",
"hasOldSafe": true,
"status": "PENDING",
"newSafe": {
"address": "0xabcdef1234567890abcdef1234567890abcdef12",
"chainId": "100",
"tokenSymbol": "EURe"
},
"oldSafe": {
"address": "0x1234567890abcdef1234567890abcdef12345678",
"chainId": "100",
"recordedAt": "2026-06-03T12:00:00.000Z"
}
}{
"message": "<string>"
}Safe Management
Retrieve Safe migration status
Returns the current safe, previous safe (if migrated), and migration status for the authenticated user.
GET
/
api
/
v1
/
safe
/
migration
Retrieve Safe migration status
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/safe/migration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/safe/migration \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/safe/migration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/safe/migration"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/safe/migration")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/safe/migration")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"migrationId": "safe-replacement-2026-06",
"hasOldSafe": true,
"status": "PENDING",
"newSafe": {
"address": "0xabcdef1234567890abcdef1234567890abcdef12",
"chainId": "100",
"tokenSymbol": "EURe"
},
"oldSafe": {
"address": "0x1234567890abcdef1234567890abcdef12345678",
"chainId": "100",
"recordedAt": "2026-06-03T12:00:00.000Z"
}
}{
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Migration identifier to look up.
Response
Successfully retrieved safe migration info.
Example:
"safe-replacement-2026-06"
Whether a previous safe was recorded for this migration.
Migration status, or null if the user has not started this migration.
Available options:
PENDING, IN_PROGRESS, COMPLETED, FAILED The user's current active safe.
Show child attributes
Show child attributes
The previous safe recorded during migration, if any.
Show child attributes
Show child attributes